=== debian/changelog ===
dde-session-ui (5.5.10-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 21 Feb 2022 11:28:00 +0800
