=== debian/control ===
Source: dde-session-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config,
 cmake,
 qtbase5-dev,
 libxcb-ewmh-dev,
 libqt5x11extras5-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libglib2.0-dev,
 libdtkwidget-dev,
 qttools5-dev-tools,
 libsystemd-dev,
 libdframeworkdbus-dev,
 libdtkcore5-bin,
 dde-dock-dev,
 libgtest-dev,
 libgio-qt-dev
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>= 5.9.14),
 libdframeworkdbus2 (>=5.4.6),
 dde-daemon (>=5.13.27),
 startdde (>=5.8.15),
 x11-xserver-utils,
 dbus-x11,
 dde-session-shell,
 pandoc,
 libxcb-util0
Provides: lightdm-greeter
Recommends: onboard
Conflicts: dde-workspace,
 startdde (<< 2.91.1),
 deepin-notifications
Replaces: deepin-notifications
Breaks: dde-workspace, startdde(<< 2.91.1)
Description: deepin desktop-environment - dde-session-ui module
 Deepin desktop environment 2015 - dde-session-ui module.
