## dde-session-ui 5.5.23

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIC")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
+set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
@@ -461,10 +463,3 @@
 )
 set(Pixmix_Libraries
     ${DtkWidget_LIBRARIES}
-    Qt5::Widgets
-)
-
-target_include_directories(${Pixmix_Name} PUBLIC
-    ${Pixmix_Includes}
-)
-
