=== debian/changelog ===
dde-session-ui (5.5.23-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 05 May 2022 17:25:38 +0800
