## dde-session-ui 5.5.25

=== debian/changelog ===
dde-session-ui (5.5.25-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 27 Jun 2022 10:40:43 +0800
