## dde-session-ui 5.5.28

=== debian/changelog ===
dde-session-ui (5.5.28-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Sat, 13 Aug 2022 14:11:11 +0800

dde-session-ui (3.0.14) unstable; urgency=low

  * Autobuild Tag 3.0.14 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:58:15 +0000
