## dde-session-ui 5.5.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -416,6 +416,7 @@
 ## service
 file(GLOB OSD_SERVICE_FILES "dde-osd/files/*.service")
 install(FILES ${OSD_SERVICE_FILES} DESTINATION share/dbus-1/services)
+install(FILES dde-osd/files/dde-osd.desktop DESTINATION share/applications/)
 
 #-----------------------------ut-dde-osd-----------------------------
 #--todo: 单元测试编译不通过，需修改后取消注释
@@ -459,7 +460,3 @@
 )
 set(Pixmix_Includes
     ${DtkWidget_INCLUDE_DIRS}
-    Qt5::Widgets
-)
-set(Pixmix_Libraries
-    ${DtkWidget_LIBRARIES}
