=== debian/changelog ===
dde-session-ui (5.5.31-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 15 Sep 2022 13:08:46 +0800
