## dde-session-ui 5.5.36

=== debian/changelog ===
dde-session-ui (5.5.36-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 13 Oct 2022 19:39:36 +0800
