## dde-session-ui 5.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(DtkWidget REQUIRED)
-find_package(Qt5 COMPONENTS Widgets DBus X11Extras Xml Concurrent Svg Sql Test REQUIRED)
+find_package(Qt5 COMPONENTS Widgets DBus X11Extras Xml Concurrent Svg Sql Network Test REQUIRED)
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
@@ -459,4 +459,3 @@
     dde-pixmix/main.cpp
 )
 set(Pixmix_Includes
-    ${DtkWidget_INCLUDE_DIRS}
