=== debian/changelog ===
dde-session-ui (5.6.1-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 08 Nov 2022 10:26:43 +0800
