=== debian/changelog ===
dde-session-ui (6.0.22) unstable; urgency=medium

  * chore: 解决dde-pixmix在root下执行崩溃的问题
  * fix: translation issue with networksecretdialog

 -- fuleyi <fuleyi@uniontech.com>  Mon, 12 Aug 2024 17:04:22 +0800

dde-session-ui (6.0.21) unstable; urgency=medium

  * bump version to 6.0.21

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 02 Aug 2024 16:13:49 +0800

dde-session-ui (6.0.20) unstable; urgency=medium

  * release 6.0.20

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 19 Jul 2024 17:05:36 +0800

dde-session-ui (6.0.19) unstable; urgency=medium

  * release 6.0.19

 -- Mike Chen <chenke@deepin.org>  Thu, 23 May 2024 14:11:46 +0800

dde-session-ui (6.0.18) unstable; urgency=medium

  * fix: wrong position of notification

 -- Wang Fei <wangfei@deepin.org>  Tue, 23 Apr 2024 13:45:38 +0800

dde-session-ui (6.0.17) unstable; urgency=medium

  * fix: notification settings reset after restart(Issue: https://github.com/linuxdeepin/developer-center/issues/7261)

 -- Zhang kun <zhangkun2@uniontech.com>  Wed, 17 Apr 2024 10:20:16 +0800

dde-session-ui (6.0.16) unstable; urgency=medium

  * fix: the number of notifications is incorrect(Issue: https://github.com/linuxdeepin/developer-center/issues/6952)

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 19 Jan 2024 16:08:36 +0800

dde-session-ui (6.0.15) unstable; urgency=medium

  * fix: missing notification for NotifyCenter(Issue: https://github.com/linuxdeepin/developer-center/issues/6930)

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 17 Jan 2024 15:16:57 +0800

dde-session-ui (6.0.14) unstable; urgency=medium

  * remove the dependence of pandoc
  * fix: no display desktop is add to notifysettings

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 15 Jan 2024 14:28:38 +0800

dde-session-ui (6.0.13) unstable; urgency=medium

  * fix: drop launcherd1 interface, use am's interface
  * fix: coredump when uninstall app
  * feat: add record count dbus property

 -- Wang Yixue <wangyixue@deepin.org>  Wed, 10 Jan 2024 15:21:53 +0800

dde-session-ui (6.0.12) unstable; urgency=medium

  * fix: ut crashed when calling DBusContext method
  * fix: dde-osd can't display bubble in treeland(Issue: https://github.com/linuxdeepin/developer-center/issues/6095)
  * fix: don't override CMAKE_EXE_LINKER_FLAGS
    Thanks to Felix Yan

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 28 Dec 2023 16:58:19 +0800

dde-session-ui (6.0.11) unstable; urgency=medium

  * fix: repeated warning when fetch GetAllItemInfos
  * fix: use dbus-user-session instead of dbus-x11 in control
  * feat: support notification to switch other bubble(Issue: https://github.com/linuxdeepin/developer-center/issues/6095)
  * chore: Store a notification to database immediately when it pops up

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 15 Dec 2023 09:34:40 +0800

dde-session-ui (6.0.10) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore(CI): correct conflicts depends and correct source name
  * fix: compile failed after dtkwidget upgrade
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: Compling error
  * fix: Can't update password for dnetwork-secret-dialog(Issue: https://github.com/linuxdeepin/developer-center/issues/5284)
  * chore: Add log to debug

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 01 Sep 2023 11:08:31 +0800

dde-session-ui (6.0.9) unstable; urgency=medium

  * revert incorrect fix for linglong application notification cannot be launched correctly

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 05 May 2023 11:03:00 +0800

dde-session-ui (6.0.8) unstable; urgency=medium

  * do not ignore CMAKE_CXX_FLAGS and CMAKE_EXE_LINKER_FLAGS specified by system
  * fix linglong application notification cannot be launched correctly

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 03 Apr 2023 16:44:00 +0800

dde-session-ui (6.0.7) unstable; urgency=medium

  * Avoid use GLOB for some subprojects (dde-osd, dde-welcome, etc)
  * Reuse common utils as object libraries
  * Ensure project source compliant with REUSE spec
  * Fix dde-osd window round radius conflicting with blur effect
  * Change the value of XDG_CURRENT_DESKTOP to DDE

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 28 Mar 2023 17:01:00 +0800

dde-session-ui (6.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 解决音量及亮度osd在字体放大情况下显示不全的问题。(Bug: 181545)(Influence: 在系统字体放大情况下，音量及亮度osd显示。)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 13 Jan 2023 10:23:33 +0800

dde-session-ui (6.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 更新翻译文件(Influence: 无。)
  * fix: 修复com.deepin.dde.Notificatin服务获取GetAppList为空的问题(Bug: 165875)(Influence: 无。)
  * fix(dnetwork-secret-dialog): 修改网络面板通讯(Task: 196767)(Influence: 登录、锁屏、任务栏网络面板弹窗)
  * feat: 系统升级提示信息获取逻辑更新(Bug: 171571)(Influence: 系统升级成功界面显示内容)
  * fix: 修复某些情况无法切换用户的问题。(Bug: 142255)(Influence: 切换用户。)
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:20:28 +0800

dde-session-ui (6.0.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 适配osd重新设计的新样式(Task: 175575)(Influence: osd显示及全量功能。)
  * fix: Can't get show-on-top for dde-osd's appInfo(Bug: 147681)(Influence: 小组件置顶功能失效，dde-osd提供的置顶服务失败)
  * chore: 同步V23 deepin-daemon 服务名称修改(Influence: dde-session-ui全量功能)
  * fix: 修复部分OSD窗体尺寸和显示文字内容宽度不匹配的问题。(Bug: 154523)(Influence: 无影响。)
  * fix: 修复声音和亮度OSD数值文字在深色模式下显示的问题。(Bug: 154537)(Influence: 声音和亮度OSD文字随系统主题颜色变化。)
  * fix: 修复声音OSD不显示静音的问题。(Bug: 154545)(Influence: 无影响。)
  * fix: 修复声音OSD上有些数值显示不对的问题。(Bug: 154561)(Influence: 无影响。)
  * fix: 修复声音OSD在深色模式下的显示问题。(Bug: 154537)(Influence: 无影响。)
  * chore: 更新翻译配置文件及代码中文案提示(Influence: 无。)
  * chore: 更新翻译文件(Influence: 无。)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 11:44:05 +0800

dde-session-ui (6.0.3) unstable; urgency=medium

  [ TagBuilder ]

